/* SampleItem 
 
 See SampleItem.m for explanations and instructions.
 
 */

#import <Cocoa/Cocoa.h>
#import <AASFilesystemTools/AASFilesystemTools.h>

@interface SampleItem : NSObject <AASDirectorySubscriptionProtocol> {
	AASBasicInfoFile *file;
	AASBasicInfoFile *resolvedFile;	
	AASDirectorySubscription *subscription;		
	
	NSMutableArray *children;
	NSMutableDictionary *childrenWithKeys;
	BOOL isRoot;
}

- (id)initWithFile:(AASBasicInfoFile *)initFile;
- (void)haveChildren;
- (BOOL)isDirectory;
- (AASBasicInfoFile *)file;
- (id)childAtIndex:(int)index;
- (int)numberOfChildren;
- (BOOL)isRoot;
- (void)setRoot:(BOOL)root;
- (void)addChild:(AASBasicInfoFile *)child;
- (void)addChildren:(NSArray *)newChildren;
- (void)removeChild:(AASBasicInfoFile *)child;
- (void)removeAllChildren;
- (NSString *)filename;
- (NSString *)path;
- (NSURL *)url;
- (NSString *)type;
- (void)sortChildren;
- (void)sendUpdateNotification;
- (void)sendRootRemovalNotification;
- (NSComparisonResult)compareFilename:(SampleItem *)otherItem;

@end
